* {
    margin: 0 0;
    box-sizing: border-box;
    font-family: 'Montserrat', sans-serif;
    font-size: 14px;
}

html {
    height: 100%;
}

body {
    height: 100%;
    background-image: url(../img/register-background.jpg);
    background-size: cover;
}

#register-container {
    height: 100%;
}

#register-form-container {
    background-color: #FFFFFF;
    position: fixed;
    height: 70%;
    width: 50%;
    top: 15%;
    left: 25%;
    border-radius: 30px;
    box-shadow: 0 2px 22px 0 rgba(0,0,0,.2),0 2px 30px 0 rgba(0,0,0,.35);
}

#register-title {
    position: relative;
    height: 15%;
    width: 100%;
}

#register-title-text {
    position: absolute;
    width: 100%;
    top: 50%;
    left: 5%;
    transform: translateY(-50%)
}

#register-title-text h3 {
    font-size: 1.5em;
    font-weight: 700;
}

#register-form {
    height: 85%;
    width: 100%;
}

#school-data {
    float: left;
    height: 100%;
    width: 40%;
}

#school-elements {
    float: left;
    height: 100%;
    width: 60%;
}

#subjects {
    height: 40%;
    width: 100%;
    overflow: auto;
}

#classes {
    height: 60%;
    width: 100%;
    overflow: auto;
}

form {
    height: 100%;
}

.form-label {
    position: relative;
    height: 5%;
}

.form-label-text {
    position: absolute;
    width: 100%;
    top: 50%;
    left: 10%;
    transform: translateY(-50%)
}

.form-label-text label {
    font-size: 0.8em;
}

.form-input {
    position: relative;
    height: 10%;
    width: 90%;
    left: 5%;
}

.school-name {
    background-color: #FFFFFF;  
    color: #2c2c2c;
    height: 80%;
    width: 100%;
    border-radius: 30px;
    border: none;
    padding: 4%;
    padding-left: 8%;
    font-size: 0.8em;
    font-weight: 300;
    border: 1px solid #e3e3e3;
}

#button {
    position: relative;
    height: 40%;
}

.register-button {
    background: linear-gradient(90deg,#0c2646 0,#204065 60%,#2a5788);
    position: absolute;
    color: #FFFFFF;
    width: 80%;
    top: 50%;
    left: 10%;
    border: none;
    text-transform: uppercase;
    font-weight: 300;
    font-size: 1.5em;
    box-shadow: 0 1px 15px 1px rgba(39,39,39,.1);
    padding: 5%;
    transform: translateY(-50%);
    transition: opacity 0.5s;
    cursor: pointer;
    border-radius: 30px;
}

button:hover {
    opacity: 0.5;
}

/* Subjects List */

#subject-list li {
    list-style: none;
}

.container {
    max-width: 640px;
    font-size: 0.8em;
}

ul.ks-cboxtags {
    list-style: none;
    padding: 10px;
}
ul.ks-cboxtags li{
  display: inline;
}

ul.ks-cboxtags li label{
    display: inline-block;
    background-color: rgba(255, 255, 255, .9);
    border: 1px solid rgba(139, 139, 139, .3);
    color: #adadad;
    border-radius: 25px;
    white-space: nowrap;
    margin: 3px 0px;
    user-select: none;
    transition: all .2s;
}

ul.ks-cboxtags li label {
    padding: 4px 6px;
    cursor: pointer;
}

ul.ks-cboxtags li label::before {
    display: inline-block;
    font-style: normal;
    font-variant: normal;
    text-rendering: auto;
    -webkit-font-smoothing: antialiased;
    font-family: "Font Awesome 5 Free";
    font-weight: 700;
    font-size: 0.8em;
    padding: 2px 6px 2px 2px;
    content: "\f067";
    transition: transform .3s ease-in-out;
}

ul.ks-cboxtags li input[type="checkbox"]:checked + label::before {
    content: "\f00c";
    transform: rotate(-360deg);
    transition: transform .3s ease-in-out;
}

ul.ks-cboxtags li input[type="checkbox"]:checked + label {
    border: 1px solid #204065;
    background-color: #2a5788;
    color: #fff;
    transition: all .2s;
}

ul.ks-cboxtags li input[type="checkbox"] {
  display: absolute;
}

ul.ks-cboxtags li input[type="checkbox"] {
  position: absolute;
  opacity: 0;
}

ul.ks-cboxtags li input[type="checkbox"]:focus + label {
  border: 2px solid #e9a1ff;
}
